<template>
	<div class="text-base">
		<MkFlyout v-show="isOpen" :toggle-flyout="isOpen">
			<template #flyoutContent>
				<div class="flex-col overflow-y-auto w-460">
					<div v-show="LINE_ITEMS.length >= 1">
						<MkMergeCartContent />
						<div class="px-2 md:px-4 py-6">
							<MkCartHeader />
							<MkPromoCard />
						</div>
					</div>
					<!-- Empty cart -->
					<div v-show="!LINE_ITEMS.length">
						<MkEmpty />
					</div>
				</div>
			</template>
		</MkFlyout>
	</div>
</template>
<script>
import { mapState } from 'vuex';
import MkFlyout from '~/components/D2C/organisms/MkFlyout/MkFlyout.vue';
import MkCartHeader from '~/components/D2C/organisms/MkCartHeader.vue';
import MkPromoCard from '~/components/D2C/organisms/MkPromoCard.vue';
import MkEmpty from '~/components/D2C/organisms/MkEmptySideCart/MkEmptySideCart.vue';
import MkMergeCartContent from '~/components/D2C/atoms/MkMergeCartContent.vue';
export default {
	name: 'MkSideCart',
	components: {
		MkPromoCard,
		MkCartHeader,
		MkFlyout,
		MkEmpty,
		MkMergeCartContent,
	},
	mounted() {},
	computed: {
		isOpen() {
			return this.ACTIVE_FLYOUT_MENU === 'MK_SIDE_CART';
		},
		...mapState('MK_CART_STORE', ['ACTIVE_FLYOUT_MENU']),
		...mapState('CART_STORE', ['LINE_ITEMS']),
	},
};
</script>
